from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Snver_Pool_V0_1_0 = CommandToolBuilder(tool="snver_pool", base_command=["snver-pool"], inputs=[ToolInput(tag="in_input_directory_required", input_type=Boolean(optional=True), prefix="-i", doc=InputDocumentation(doc="<input directory (required) >")), ToolInput(tag="in_reference_file_required", input_type=Boolean(optional=True), prefix="-r", doc=InputDocumentation(doc="<reference file (required) >")), ToolInput(tag="in_pool_info_file", input_type=Boolean(optional=True), prefix="-c", doc=InputDocumentation(doc="<pool info file (preferred) >")), ToolInput(tag="in_number_when_given", input_type=Boolean(optional=True), prefix="-n", doc=InputDocumentation(doc="<the number of haploids (required when option '-c' is not given)>")), ToolInput(tag="in_target_region_bed", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc="<target region bed file (default is null) >")), ToolInput(tag="in_prefix_output_file", input_type=Boolean(optional=True), prefix="-o", doc=InputDocumentation(doc="<prefix output file (default is input_file name) >")), ToolInput(tag="in_mq", input_type=Boolean(optional=True), prefix="-mq", doc=InputDocumentation(doc="<mapping quality threshold (default is 20) >")), ToolInput(tag="in_bq", input_type=Boolean(optional=True), prefix="-bq", doc=InputDocumentation(doc="<base quality threshold (default is 17) >")), ToolInput(tag="in_strand_bias_threshold", input_type=Boolean(optional=True), prefix="-s", doc=InputDocumentation(doc="<strand bias threshold (default is 0.0001) >")), ToolInput(tag="in_fisher_exact_threshold", input_type=Boolean(optional=True), prefix="-f", doc=InputDocumentation(doc="<fisher exact threshold (default is 0.0001) >")), ToolInput(tag="in_pvalue_threshold_default", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="<p-value threshold (default is bonferroni=0.05) >")), ToolInput(tag="in_least_how_many", input_type=Boolean(optional=True), prefix="-a", doc=InputDocumentation(doc="<at least how many reads supporting each strand for alternative allele (default is 1)>")), ToolInput(tag="in_allele_frequency_threshold", input_type=Boolean(optional=True), prefix="-t", doc=InputDocumentation(doc="<allele frequency threshold (default is 0)>")), ToolInput(tag="in_inactivate_s_threshold", input_type=Boolean(optional=True), prefix="-u", doc=InputDocumentation(doc="<inactivate -s and -f above this threshold (default is 30)  >")), ToolInput(tag="in_db", input_type=Boolean(optional=True), prefix="-db", doc=InputDocumentation(doc="<path for dbSNP, column number of chr, pos and snp_id (format: dbsnp,1,2,3; default null)>")), ToolInput(tag="in_jar", input_type=String(optional=True), prefix="-jar", doc=InputDocumentation(doc="")), ToolInput(tag="in_java", input_type=String(), position=0, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Snver_Pool_V0_1_0().translate("wdl", allow_empty_container=True)

